Bug 1150592 - NFS for Vagrant is broken because of removing the nfsserver service alias
NFS for Vagrant is broken because of removing the nfsserver service alias
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dan Čermák
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-12 15:59 UTC by Markus Zimmermann
Modified: 2021-08-09 13:50 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Zimmermann 2019-09-12 15:59:34 UTC
According to https://lists.opensuse.org/opensuse-factory/2019-09/msg00126.html the snapshot 20190909 removed the "nfsserver" alias to have the same name (nfs-server) as upstream. I think this is great since it makes SUSE consistent with others but this change breaks the NFS support of Vagrant for me.

Since this is a breaking change I thought I report it. Also, should this be reported in the Vagrant issue tracker or is there somebody on the SUSE team who could fix this directly and make it work for all distribution versions?
Comment 1 Markus Zimmermann 2019-09-12 16:58:40 UTC
OK I was wrong. It is not just the renaming for me. I added the alias again and the mounting is still not working for me in a VM using NFS 3 with udp gives me "mount.nfs: requested NFS version or transport protocol is not supported".
Comment 2 Markus Zimmermann 2019-09-12 17:27:35 UTC
Additional to the alias service I needed to switch from NFSv3 with UDP to NFSv4 with TCP to get things working again. So for me, this change does not work with the default Vagrant configuration. Hence, it is a breaking change at least from my point of view.
Comment 3 Dan Čermák 2019-09-19 08:36:41 UTC
(In reply to Markus Zimmermann from comment #0)
> According to
> https://lists.opensuse.org/opensuse-factory/2019-09/msg00126.html the
> snapshot 20190909 removed the "nfsserver" alias to have the same name
> (nfs-server) as upstream. I think this is great since it makes SUSE
> consistent with others but this change breaks the NFS support of Vagrant for
> me.
> 
> Since this is a breaking change I thought I report it. Also, should this be
> reported in the Vagrant issue tracker or is there somebody on the SUSE team
> who could fix this directly and make it work for all distribution versions?

There is an upstream bug report for the same issue on Fedora already: https://github.com/hashicorp/vagrant/issues/10838 so upstream should be aware. I've written a fix for the drop of nfs.service and submitted it: https://github.com/hashicorp/vagrant/pull/11076.

I hope that it will be merged before the next release, otherwise I'll cherry-pick the commit into our vagrant source tree.

(In reply to Markus Zimmermann from comment #1)
> OK I was wrong. It is not just the renaming for me. I added the alias again
> and the mounting is still not working for me in a VM using NFS 3 with udp
> gives me "mount.nfs: requested NFS version or transport protocol is not
> supported".

I can confirm this, somehow NFSv3 is broken here. Unfortunately vagrant does not allow to have a guest wide setting for the NFS version (e.g. all SUSE guests prefer version 4), there is just one default and that is version 3. It has been requested to update this in 2013 (https://github.com/hashicorp/vagrant/issues/2699), but got rejected. I have re-requested a version bump (https://github.com/hashicorp/vagrant/issues/11077), but in the meantime you can work around this issue via:
```
  config.vm.synced_folder ".", "/vagrant", type: "nfs", nfs_version: 4
```
Comment 4 Markus Zimmermann 2019-09-20 12:25:35 UTC
Thank you for your additions. I am looking forward to your Vagrant PR getting merged. As I wrote, we already switch all projects to NFSv4 because of the NFS service change. Works perfectly.

Should we mark this issue as "resolved" or should we wait on the Vagrant changes?
Comment 5 Dan Čermák 2019-09-20 13:46:06 UTC
(In reply to Markus Zimmermann from comment #4)
> Thank you for your additions. I am looking forward to your Vagrant PR
> getting merged. As I wrote, we already switch all projects to NFSv4 because
> of the NFS service change. Works perfectly.
> 
> Should we mark this issue as "resolved" or should we wait on the Vagrant
> changes?

Well the issue is not yet resolved, so let's not close it yet ;-).

I'd wait a reasonable amount of time for upstream to merge/reject this and then either it will be fixed upstream or we'll fix it downstream.
Comment 6 Dan Čermák 2019-11-01 11:16:56 UTC
Vagrant 2.2.6 made it into Factory and should contain the fix. I'm marking this as resolved then.

If the problem reappears, please reopen this bug or create a new one.
Comment 7 OBSbugzilla Bot 2021-08-09 13:50:28 UTC
This is an autogenerated message for OBS integration:
This bug (1150592) was mentioned in
https://build.opensuse.org/request/show/910984 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910985 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910986 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910987 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910988 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910989 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910990 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910991 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910992 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910993 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910994 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910995 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910996 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910997 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910998 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/910999 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911000 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911001 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911002 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911003 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911004 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911005 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911006 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt
https://build.opensuse.org/request/show/911007 Backports:SLE-15-SP3 / rubygem-bcrypt_pbkdf-1.1+rubygem-childprocess-4.1+rubygem-erubi-1.10+rubygem-i18n-1.8+rubygem-listen-3.6+rubygem-mime-types-3.3+rubygem-net-scp-3.0+rubygem-net-sftp-3.0+rubygem-net-ssh-6.1+rubygem-rake-13.0+rubygem-rb-fsevent-0.11+rubygem-rexml-3.2+rubygem-rspec-3.10+rubygem-rspec-core-3.10+rubygem-rspec-expectations-3.10+rubygem-rspec-mocks-3.10+rubygem-rspec-support-3.10+rubygem-vagrant_cloud-3.0+rubygem-webrick-1.7+rubygem-winrm-2.3+rubygem-winrm-elevated-1.2+rubygem-winrm-fs-1.3+vagrant+vagrant-libvirt